/*
 *  rPoint.cpp
 *  emptyExample
 *
 *  Created by Andrew Wallace on 9/15/11.
 *  Copyright 2011 Cool Town Inc. All rights reserved.
 *
 */

#include "rPoint.h"

void rPoint::setup(float angle, float dist, bool _inside){
	a=angle;
	d=dist;
	inside=_inside;

}

//sets the point using an x,y coordinate
void rPoint::setupXY(float x, float y, bool _inside){
	a=atan2(y,x);
	d=ofDist(x,y,0,0);
	inside=_inside;
	
}


float rPoint::getX(){
	return cos(a)*d;
}

float rPoint::getY(){
	return sin(a)*d;
}

//converts x,y location to dist and angle from origin
void rPoint::convertPoint(float x, float y){
	a=atan2(y,x);
	d=ofDist(x,y,0,0);

}

void rPoint::xenoToDist(float target, float speed){
	d= (1-speed)*d+speed*target;

}