/*
 *  flower.h
 *  emptyExample
 *
 *  Created by Andrew Wallace on 9/15/11.
 *  Copyright 2011 Cool Town Inc. All rights reserved.
 *
 */

#pragma once
#include "ofMain.h"
#include "rPoint.h"

class Flower{
public:
	
	void setup();
	void update();
	void draw();
	
	
	rPoint	curPos;			//used to initialy draw out the shape
	//orbit draws the actual line
	float orbitX, orbitY;
	float orbitAngle;
	float orbitDist;
	
	float insideDist;	//how close does something have to be from the center to be "inside"
	
	
	vector <rPoint> pnts;
	
	bool startDraw;			//are we still drawing the basic shape?
	int animationStartTime;	//time in millis that it finished drawing
		
	bool done;

};