/*
 *  SWave.cpp
 *  emptyExample
 *
 *  Created by Andrew Wallace on 9/15/11.
 *  Copyright 2011 Cool Town Inc. All rights reserved.
 *
 */

#include "SWave.h"

void SWave::setup(float _phase, float _freq, float _y){
	phase=_phase;
	freq=_freq;
	y=_y;
	
	col.r=255;
	col.g=255;
	col.b=255;
	
	amp=1;
}


void SWave::draw(){
	ofSetColor(col.r, col.g, col.b);
	ofNoFill();
	
	float cur=ofGetElapsedTimef();
	ofBeginShape();
	for (int i=0; i<ofGetWidth(); i+=2){
		ofVertex(i+phase, y+sin(cur*freq)*amp);
		cur+=0.01;
		
	}
	ofEndShape(false);
	
	
	
}

