/*
 *  rPoint.h
 *  emptyExample
 *
 *  Created by Andrew Wallace on 9/15/11.
 *  Copyright 2011 Cool Town Inc. All rights reserved.
 *
 */

// rPoint stores a point as an angle and distance from the origin

#pragma once
#include "ofMain.h"

class rPoint{

	public:
	
	void setup(float angle, float dist, bool _inside);
	void setupXY(float x, float y, bool _indside);
	float getX();
	float getY();
	void convertPoint(float x, float y);
	void xenoToDist(float target, float speed);

	float a;	//angle
	float d;	//distance
	
	bool inside;	//used as a swithc in animation
};