// *****************************
// Andy Wallace
// 2011
// *****************************

#pragma once

#include "ofMain.h"
#include "circleTug.h"
#include "Flower.h"
#include "Phase.h"

class testApp : public ofBaseApp{

	public:
		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);
	
	CircleTug circleTug;
	Flower	flower;
	Phase phase;
	
	int cycle;	//which part of the animation are we on
	int timer;
	
	
		
};
